Bug 848643 - Link to upload files for individual locales not available for project maintainers
Link to upload files for individual locales not available for project maintai...
Status: CLOSED CURRENTRELEASE
Product: Zanata
Classification: Community
Component: WebSite (Show other bugs)
unspecified
Unspecified Unspecified
unspecified Severity medium
: ---
: 2.0
Assigned To: Alex Eng
Ding-Yi Chen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-16 01:58 EDT by Jack Reed
Modified: 2013-06-17 01:57 EDT (History)
5 users (show)

See Also:
Fixed In Version: 1.8.0-SNAPSHOT (20120928-0032)
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-07 01:19:13 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jack Reed 2012-08-16 01:58:24 EDT
Description of problem:

In troubleshooting a problem with David Mason, we discovered that even though I am the project maintainer for the Fedora Installation Guide, I cannot see the 'Upload' column in the table listing po files for individual locales.

One such page is https://translate.zanata.org/zanata/iteration/files/fedora-installation-guide/f17/ja

David believed this lack of access constituted a bug to be fixed.


Version-Release number of selected component (if applicable):


How reproducible: Easily if looking at a project while logged in as its maintainer.


Steps to Reproduce:
1. As a project maintainer, log into Zanata and visit one of the pages for that project that lists files for a locale, such as at the link above.
2. Note that the Download column is present, with '.po' links to download po files, but not the Upload column.


Expected results:

The Upload column should be available so that maintainers can upload files, such as in cases like mine where the zanata push command could not push large files in their entirety.
Comment 1 Alex Eng 2012-09-27 00:22:43 EDT
Bug fixed in Version 2.0

See https://github.com/zanata/zanata/commit/d5d8bc9484f7f88850428b282ef2a7fa78e7b0ad
Comment 2 Ding-Yi Chen 2012-09-27 20:54:32 EDT
VERIFIED with Zanata version 1.8.0-SNAPSHOT (20120928-0032)
Comment 3 Sean Flanigan 2012-11-07 01:19:13 EST
Fix released in Zanata 2.0.

Note You need to log in before you can comment on or make changes to this bug.